petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPBCGSL

Implements a slight variant of the Enhanced BiCGStab(L) algorithm in (3) and (2). The variation concerns cases when either kappa0**2 or kappa1**2 is negative due to round-off. Kappa0 has also been pulled out of the denominator in the formula for ghat.

### References

| 1. | - G.L.G. Sleijpen, H.A. van der Vorst, "An overview of Many brapproaches for the stable computation of hybrid BiCG Many brmethods", Applied Numerical Mathematics: Transactions Many brf IMACS, 19(3), 1996. Many br
| 2. | - G.L.G. Sleijpen, H.A. van der Vorst, D.R. Fokkema, Many br"BiCGStab(L) and other hybrid BiCG methods", Many brNumerical Algorithms, 7, 1994. Many br
| 3. | - D.R. Fokkema, "Enhanced implementation of BiCGStab(L) Many brfor solving linear systems of equations", preprint Many brfrom www.citeseer.com. Many br

Contributed by: Joel M. Malard, email jm.malard@pnl.gov Many br

### Options Database Keys

| -ksp_bcgsl_ell <ell> Number of Krylov search directions, defaults to 2 | - - KSPBCGSLSetEll() Many br
| -ksp_bcgsl_cxpol | - Use a convex function of the MinRes and OR polynomials after the BiCG step instead of default MinRes -- KSPBCGSLSetPol() Many br
| -ksp_bcgsl_mrpoly | - Use the default MinRes polynomial after the BiCG step -- KSPBCGSLSetPol() Many br
| -ksp_bcgsl_xres <res> Threshold used to decide when to refresh computed residuals | - - KSPBCGSLSetXRes() Many br
| -ksp_bcgsl_pinv <true/false> | - (de)activate use of pseudoinverse -- KSPBCGSLSetUsePseudoinverse() Many br

Many br

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPFGMRES, KSPBCGS, KSPSetPCSide(), KSPBCGSLSetEll(), KSPBCGSLSetXRes()

Level:beginner
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages